#!/bin/bash

echo "*******************DIJSKTRA-TRANSVERSE @ PASCAL MERINDOL**************************"
echo "*This program is free software; This program is distributed  WITHOUT ANY WARRANTY*"
echo "*****After the modifications, uses the file TEST.tcl to validate the process******"

if [ ! $# -eq 1 ] 
then echo "USAGE: $0 ns_complete_root_path"; exit;
fi

tar -zxvf DT_mDT.tar.gz;
mkdir DT_mDT;
mv *.tcl DT_mDT;
mv *.cc DT_mDT;
mv *.h DT_mDT;
cd DT_mDT;

cp lsm.cc $1/linkstate/
cp lsm.h $1/linkstate/
cp rtProtoLSm.cc $1/linkstate/
cp rtProtoLSm.h $1/linkstate/
cp ns-nodem.tcl $1/tcl/lib/
cp ns-libm.tcl $1/tcl/lib/
cp ns-rtProtoLSm.tcl $1/tcl/rtglib/

echo "Transfer success"
echo "Do you have already run the configure programm to create the Makefile [Y/n] ?"
read response;

if [ $response == "Y" ]
then
cd $1;

echo "Do you want to use DT[0] or downgrade to basic NS[1] [0/1] ?"
read response2;

if [ $response2 == "0" ]
then

sed -i "" 's/ns-lib.tcl/ns-libm.tcl/' Makefile  
sed -i "" 's/linkstate\/ls.o/linkstate\/lsm.o/' Makefile
sed -i "" 's/rtProtoLS.o/rtProtoLSm.o/' Makefile

echo "Makefile modification success"

make clean;
make;
mv ns nsDTmDT;
echo "*****************************COMPILATION DONE*************************************"
echo "If a problem has occured during the compilation, please check your ns installation"
echo "************************READ the example.tcl file*********************************"
echo "************************The executable is nsDTmDT*********************************"
echo "*************EXIT!! mailto: pascal@merindol.org for any questions*****************"


else 

sed -i "" 's/ns-libm.tcl/ns-lib.tcl/' Makefile  
sed -i "" 's/linkstate\/lsm.o/linkstate\/ls.o/' Makefile
sed -i "" 's/rtProtoLSm.o/rtProtoLS.o/' Makefile

echo "Makefile downgrade success"

make clean;
make;
echo "The executable is the basic ns"
fi

else 
echo "Run it first and retry"; cd $1; exit;

fi 